package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.model.Department;
import com.ecep.contract.service.DepartmentService;
import com.ecep.contract.service.IEntityService;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class DepartmentTableCell<T> extends AsyncUpdateTableCell<T, Department> {
    public DepartmentTableCell(DepartmentService service) {
        setService(service);
    }

    @Override
    protected IEntityService<Department> getServiceBean() {
        return SpringApp.getBean(DepartmentService.class);
    }

}
